/*     
 * $RCSfile: xk_arch.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: xk_arch.h,v $
 * Revision 1.1  1994/05/15  00:22:41  davidm
 * Initial revision
 *
 */
#ifndef xk_arch_h
#define xk_arch_h
/*
 * For use when length matters (e.g., protocol header fields).
 */
#define xk_int8		char
#define xk_int16	short
#define xk_int32	int
#define xk_int64	long

#define xk_u_int8	unsigned char
#define xk_u_int16	unsigned short
#define xk_u_int32	unsigned int
#define xk_u_int64	unsigned long

/*
 * Return TRUE if address "a" is suitably aligned to hold an address.
 */
#define LONG_ALIGNED(a)	(((u_long)(a) & 0x7) == 0)

#define XK_INT32_HEX_FORMAT	"%x"
#define XK_INT32_DEC_FORMAT	"%d"

#endif /* xk_arch_h */
